# TODO:
# - g729 support: https://github.com/LubosD/twinkle/issues/104
#
Summary:	twinkle - SIP Soft Phone
Summary(pl.UTF-8):	twinkle - telefon programowy SIP
Name:		twinkle
Version:	1.10.2
Release:	3
License:	GPL v2
Group:		Applications/Communications
Source0:	https://github.com/LubosD/twinkle/archive/v%{version}.tar.gz
# Source0-md5:	ca6884f9834a25e89fc945b48a91c7a2
Patch0:		ilbc.patch
Patch1:		webrtc-libilbc3.patch
URL:		http://twinkle.dolezel.info/
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	alsa-lib-devel
#BuildRequires:	bcg729-devel
BuildRequires:	bison
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	ccrtp-devel >= 2.0.0
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	libgsm-devel >= 1.0.11
BuildRequires:	libmagic-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libzrtpcpp-devel >= 1.4.3
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	speex-devel
BuildRequires:	ucommon-devel
BuildRequires:	webrtc-libilbc-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twinkle is a SIP based soft phone for making telephone calls over IP
networks.

%description -l pl.UTF-8
Twinkle to oparty na SIP programowy telefon do wykonywania połączeń
telefonicznych po sieciach IP.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

%build
install -d build
cd build
%cmake \
	-DWITH_ALSA=ON \
	-DWITH_SPEEX=ON \
	-DWITH_ILBC=ON \
	-DWITH_ZRTP=ON \
	-DWITH_G729=OFF \
	-DWITH_QT5=ON \
	-DWITH_DIAMONDCARD=OFF \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md THANKS
%attr(755,root,root) %{_bindir}/twinkle
%attr(755,root,root) %{_bindir}/twinkle-console
%{_datadir}/twinkle
%{_pixmapsdir}/twinkle.png
%{_desktopdir}/twinkle.desktop
%{_iconsdir}/*/*/apps/twinkle.png
%{_iconsdir}/*/*/apps/twinkle.svg
%{_mandir}/man1/twinkle.1*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/twinkle.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f50cd5
- Release 3 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a94f6ec
- Fix applying patches.

* Sun Feb 14 2021 Jan Rękorajski <baggins@pld-linux.org> 6e0a562
- fix building with webrtc-libilbc 3.x
- rel 2

* Sun Mar 22 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f390d5c
- ressurect and adapt ilbc patch

* Sun Mar 22 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> af377a3
- update to 1.10.2 (qt5 fork)

* Sun Mar 22 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> cf18f14
- Revert "- retired package, same comment as fedora"

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> b377da1
- retired package, same comment as fedora

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 60641b9
- - rebuild with boost 1.55.0
- release 21 (by relup.sh)

* Fri Jan 10 2014 Jan Rękorajski <baggins@pld-linux.org> 9cf9d2f
- release 20 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9e7e550
- release 19 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 8496784
- release 18 (by relup.sh)

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee7a496
- rel 17

* Sun Nov 25 2012 Jan Rękorajski <baggins@pld-linux.org> a518665
- all bits needed to build with webrtc-libilbc

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 53d7cf9
- more

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3db1ecb
- libilbc is gone, partial webrtc-libilbc support

* Sun Nov 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c720d8e
- release 15 (by relup.sh)

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aa69b63
- release 14 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0facb05
- Rebuild with boost 1.50
Release 13

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> 466c7a7
- BR: ccrtp-devel >= 2.0.0

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a2685ca
- release 12

